Sync lbreakout2 2.5.2-3 (universe) from Debian testing (main)

Bug #490678 reported by Charlie_Smotherman on 2009-12-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lbreakout2 (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync lbreakout2 2.5.2-3 (universe) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:
Upstream now provides a .desktop file.

Changelog entries since current lucid version 2.5.2-2.1ubuntu2:

lbreakout2 (2.5.2-3) unstable; urgency=low

  * New Maintainer.
  * Bump standards version to 3.8.3 (various minor changes).
  * Added Homepage field to debian/control.
  * Bump debhelper compat version to 5 (no changes required).
    remove DH_COMPAT= from debian/rules and add a debian/compat file.
  * Replace invalid Menu section "Arcade" with "Blocks".
  * Fix several minor Lintian errors.
  * Remove conflicts for suidmanager which was removed from Debian in 2001.
  * Remove obsolete replaces from debian/control.
  * Fix lintian problem with obsolete config.guess/sub
    this also fixes FTBFS on AVR32 (Closes: #550112).
  * Update debian/watch to v3 (Closes: #529121).
  * Fix not binNMU safe problem (Closes: #435944).
  * Add a desktop file (Closes: #330119)
    patches from Reinhard Tartler & Daniel Dickinson.

 -- Colin Tuckley <email address hidden> Tue, 10 Nov 2009 21:02:13 +0000

lbreakout (010315-3) unstable; urgency=low

  * Build against SDL 1.2.

 -- Daniel Burrows <email address hidden> Mon, 30 Apr 2001 15:10:21 -0400

lbreakout (010315-2) unstable; urgency=low

  * Work around the fact that libsdl1.1-dev doesn't depend on xlibs-dev.
  (so we have to build-depend on it ourselves)
    Does not close the bug filed because I believe it to actually be a bug
  in libsdl1.1-dev.

 -- Daniel Burrows <email address hidden> Thu, 22 Mar 2001 16:24:38 -0500

lbreakout (010315-1) unstable; urgency=low

  * New upstream version. (may fix 77878, I need to check)

 -- Daniel Burrows <email address hidden> Tue, 20 Mar 2001 16:57:36 -0500

lbreakout (001104-4) unstable; urgency=low

  * Convert to using statoverride instead of dh_suidregister.
  * Change maintainer address to be @debian.org
  * Remove an extraneous template file that accidentally got left in debian/

 -- Daniel Burrows <email address hidden> Sat, 10 Feb 2001 17:07:19 -0500

lbreakout (001104-3) unstable; urgency=low

  * Don't even bother trying to save high-score files from before I fixed
  lbreakout to avoid clobbering them, or I'll be squashing bugs from now
  till the presidential election is decided.. (I thought I tested the case
  that broke before releasing -2, but I guess not.. :( )
    closes: #77066

 -- Daniel Burrows <email address hidden> Tue, 14 Nov 2000 20:18:38 -0500

lbreakout (001104-2) unstable; urgency=low

  * Don't clobber the highscore file on each upgrade.
   (closes: #76406, #76701)

 -- Daniel Burrows <email address hidden> Fri, 10 Nov 2000 21:16:23 -0500

lbreakout (001104-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <email address hidden> Sat, 4 Nov 2000 10:02:12 -0500

lbreakout (001022-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Burrows <email address hidden> Thu, 2 Nov 2000 07:39:02 -0500

lbreakout (001014-4) unstable; urgency=low

  * Oops. High-scores actually go in /var/games. (closes: #75873)

 -- Daniel Burrows <email address hidden> Sun, 29 Oct 2000 18:13:28 -0500

lbreakout (001014-3) unstable; urgency=low

  * Rebuild against old X libraries before Branden comes after me with a stick.
  (closes: #74907, #74923, #74934)
  * Add automake and autoconf to the build-depends (are they really necessary?)

 -- Daniel Burrows <email address hidden> Tue, 17 Oct 2000 08:25:12 -0400

lbreakout (001014-2) unstable; urgency=low

  * Oops. Menufile was bad. Mea culpa.
  * Mention fullscreen and warped-mouse play in README.Debian.

 -- Daniel Burrows <email address hidden> Sun, 15 Oct 2000 13:36:03 -0400

lbreakout (001014-1) unstable; urgency=low

  * Initial Release. (closes: #74800)

 -- Daniel Burrows <email address hidden> Sun, 15 Oct 2000 09:04:54 -0400

Changed in lbreakout2 (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

ACKed.

Changed in lbreakout2 (Ubuntu):
status: New → Triaged
Jamie Strandboge (jdstrand) wrote :

[Updating] lbreakout2 (2.5.2-2.1ubuntu2 [Ubuntu] < 2.5.2-3 [Debian])
 * Trying to add lbreakout2...
  - <lbreakout2_2.5.2-3.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <lbreakout2_2.5.2.orig.tar.gz: already in distro - downloading from librarian>
  - <lbreakout2_2.5.2-3.dsc: downloading from http://ftp.debian.org/debian/>
I: lbreakout2 [universe] -> lbreakout2_2.5.2-2.1ubuntu2 [universe].
I: lbreakout2 [universe] -> lbreakout2-data_2.5.2-2.1ubuntu2 [universe].

Changed in lbreakout2 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers